# 4. Traitement des données Majic

Les fichiers Majic contiennent la description fiscale des propriétés foncières bâties et non bâties.
Il existe plusieurs types de fichiers MAJIC décrivant chacun une entité spécifique :

*	le parcellaire (ou non-bâti)
*	les bâtiments (ou bâti)
*	les propriétaires
*	la voirie et les communes (fichier FANTOIR)
*	les propriétés divisées en lots (pdl)
*	la table de correspondance lot/local (revd166)

Seul le fichier FANTOIR peut être acquis librement auprès des services des impôts. Les autres sont confidentiels et ne sont fournis qu&rsquo;aux collectivités locales car ils contiennent des informations nominatives sur les propriétaires de biens. Veuillez consulter votre délégation locale de la DGFIP pour plus d&rsquo;informations sur la disponibilité de ces fichiers.

La structure globale des fichiers Majic est décrite dans le diagramme ci-dessous.

![](/images/GMC_Manuel-utilisateur/04.000.ModeleDonneesMajic.png)

Le chargement des données Majic s&rsquo;opère en trois étapes :

## 4.1	Préparation

La phase de préparation est une phase obligatoire puisqu&rsquo;elle permet l&rsquo;organisation des répertoires par année et commune dans l&rsquo;espace de travail : il s&rsquo;agit de l&rsquo;opération de découpage des fichiers par commune.

Cette phase obligatoire permet la sélection puis la décompression des fichiers Majic. Elle décompresse puis ventile ensuite les données par commune : un répertoire par commune est créé dans l&rsquo;espace de travail.

Le découpage des fichiers par commune permet de charger les données Majic commune par commune. Un tel découpage assure la robustesse du chargement et garantit sa poursuite si une erreur survient sur une commune. La génération de fichiers de logs par commune facilite l&rsquo;identification des erreurs et la reprise du chargement en cas d&rsquo;interruption du traitement ou d&rsquo;erreur de chargement.

![](/images/GMC_Manuel-utilisateur/04.001.PrepaDonnees.png)

*Préparation des données Majic*

Cette tâche crée dans le répertoire \data\majic un répertoire nommé par l&rsquo;année de référence saisie dans l&rsquo;interface de GMC. Un sous répertoire par commune est créé, contenant toutes les données Majic à charger en base :

![](/images/GMC_Manuel-utilisateur/04.002.RepertoireMajic.png)

*Répertoire Majic*

Si les communes ont déjà été découpées, il suffit de cocher la case ![](/images/GMC_Manuel-utilisateur/04.003.CaseDecoupeCommunes.png)

Il est également possible de ne sélectionner qu&rsquo;une partie des fichiers pour chargement ou l&rsquo;ensemble des fichiers Majic, en les sélectionnant via les boîtes à cocher.

![](/images/GMC_Manuel-utilisateur/04.004.SelectionFichiers.png)

*Sélection des fichiers Majic*

Cette phase de découpage génère un fichier de log DecoupageCommune_numéro_process.log par process FME

## 4.2	Suppression

![](/images/icones/check.png)	La phase de suppression est l&rsquo;opération à exécuter en premier pour toute mise à jour du cadastre.

La phase de suppression est nécessaire lors d&rsquo;une mise à jour du cadastre et permet la suppression en base de données d&rsquo;une, plusieurs ou toutes les communes, ainsi que d&rsquo;un ou tous les types de données des fichiers Majic.

3 modes de suppressions sont possibles :
*	La suppression de toutes les communes est l&rsquo;action de suppression la plus rapide.

*	L&rsquo;opérateur peut choisir de supprimer les communes de son choix en indiquant les codes communes (code à 6 caractères de la DGFIP = ID COM dans le cadre du modèle veremap, et code à 5 caractères dans le cadre du modèle vmap) des communes à supprimer, en les séparant par des virgules.

*	Il peut également choisir de supprimer les communes de directions dont il aura indiqué le code (code à 3 caractères de la DGFIP = ID_DIR séparé par une virgule).


Sélectionner ensuite les types d&rsquo;entités à supprimer. Par défaut, tous les types d&rsquo;entités sont sélectionnés.

![](/images/GMC_Manuel-utilisateur/04.005.InterfaceSuppressionDonneesMajic.png)

*Interface de suppression des données Majic*

Une fois le traitement de suppression exécuté, un message de réussite s&rsquo;affiche.

La phase de suppression génère un fichier de log SuppressionMajic.log.

## 4.3	Chargement

La troisième opération correspond au chargement des données en base. Après avoir sélectionné l&rsquo;année de référence, la ou les communes à charger ainsi que les types de fichiers, lancer le traitement.

![](/images/GMC_Manuel-utilisateur/04.006.ChargementDonneesMajic.png)

*Chargement des données Majic en base*

![](/images/icones/check.png)	Le chargement des données Majic en base peut être très long. Une barre de progression permet d&rsquo;estimer l&rsquo;état d&rsquo;avancement du chargement. Une fois le chargement exécuté, un message de réussite s&rsquo;affiche.

Une fois chargées en base, les données Majic sont déplacées du répertoire \data vers le répertoire \archive de l&rsquo;espace de travail. Si les données n&rsquo;ont pas pu être chargées, elles restent dans le répertoire data.

Le chargement en base de données génère pour chaque type d&rsquo;entités, un fichier de log ChargementMajic_nom du type d&rsquo;entités_numéro de process.log.

## 4.4 Découpage par EPCI

L&rsquo;onglet Découpage par EPCI permet de découper les données Majic par EPCI.

Un fichier contenant la liste des communes par EPCI doit être chargé pour fournir la liste des communes composant un EPCI.   Ce fichier doit être au format csv ou txt et doit comporter 2 champs :  Nom de l&rsquo;EPCI ; ID_COM sur 6 caractères.  Les ID_COM d&rsquo;une même EPCI sont séparées par ",".

![](/images/GMC_Manuel-utilisateur/04.007.ExempleFichierEPCI.png)

*Exemple d&rsquo;un fichier EPCI*

Un répertoire par EPCI est généré dans le répertoire destination défini par l&rsquo;utilisateur.

![](/images/icones/check.png)	Aucun chargement en base n&rsquo;est effectué. Il s&rsquo;agit d&rsquo;une opération de découpage des données Majic.
